Subject: Re: Alternative bidir PIM proposal

From: [email-masked] (Billy Ng)
Date: Mon, 25 Oct 1999 18:35:52 -0400

> From [email-masked] Mon Oct 25 01:45:00 1999
> 
> >
> >4.2.6 Winner Dies
> >
> >   Whenever the DF dies, a new DF has to be elected. The speed at which
> >   this can be achieved depends on whether there are any downstream
> >   routers on the link.
> >
> >   If there are downstream routers, then typically their RPF neighbor
> >   reported by the unicast routing protocol will be the DF. They will
> >   therefore notice a change in RPF neighbor away from the DF.  They
> >   will then restart the election by transmitting Offer messages.  If
> >   the RP is now reachable through the link via another upstream router,
> >   then they will use an infinite metric in the Offer.
> >
> >   If no downstream routers are present then the only way for other
> >   upstream routers to detect a DF failure is by the timeout of the PIM
> >   neighbor information, which will take significantly longer.
> >
> >since there are periodic winner message from the DF, other neighbor
> >could time out on this message which could be made shorter than the
> >PIM hello timeout.
> 
> There are no periodic winner messages. We have tried to avoid constant control
> traffic.
> 

The O-timer was giving me the impression that the winner message is
periodic, but now I see you send it 3 times for reliability.

Thanks,

--Billy